Docs
API reference

API keys

Download spec

List API keys

GET
/api-keys

Authorization

accountSession
headerAuthorizationBearer <token>

A signed-in Italic account session. An API key cannot create or revoke keys.

Response Body

Success. Writes without read permission return an ID and revision only.

application/json
  1. response
keys*array<>
Example Request
curl -X GET 'https://app.italic.com/api/v2/api-keys'
Example Response
{
  "keys": [
    {
      "id": "string",
      "name": "string",
      "scopes": [
        "recordings:create"
      ],
      "createdAt": 0,
      "expiresAt": 0,
      "revokedAt": 0,
      "lastUsedAt": 0
    }
  ]
}

Create an API key

POST
/api-keys

Authorization

accountSession
headerAuthorizationBearer <token>

A signed-in Italic account session. An API key cannot create or revoke keys.

Request Body

application/json
  1. body
name*string
Length1 <= length <= 80
scopes*array<>
Items1 <= items <= 14
expiresInDays?integer
Range1 <= value <= 365

Response Body

Success. Writes without read permission return an ID and revision only.

application/json
  1. response
key*
secret*string
Example Request
curl -X POST 'https://app.italic.com/api/v2/api-keys' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "scopes": [
    "recordings:create"
  ]
}'
Example Response
{
  "key": {
    "id": "string",
    "name": "string",
    "scopes": [
      "recordings:create"
    ],
    "createdAt": 0,
    "expiresAt": 0,
    "revokedAt": 0,
    "lastUsedAt": 0
  },
  "secret": "string"
}

Revoke an API key

DELETE
/api-keys/{id}

Authorization

accountSession
headerAuthorizationBearer <token>

A signed-in Italic account session. An API key cannot create or revoke keys.

Path Parameters

id*string
Match^[A-Za-z0-9][A-Za-z0-9._:-]*$
Length1 <= length <= 256

Response Body

Success. Writes without read permission return an ID and revision only.

application/json
  1. response
id*string
Match^[A-Za-z0-9][A-Za-z0-9._:-]*$
Length1 <= length <= 256
deleted*boolean
Example Request
curl -X DELETE 'https://app.italic.com/api/v2/api-keys/string'
Example Response
{
  "id": "string",
  "deleted": true
}